%global realname urlgrabber
%global pyver 2.4
%global momorel 1
%global md5sum_src0 a1001edcc026de2848714b81e5bdb939

Summary: A high-level cross-protocol url-grabber
Name: python-urlgrabber
Version: 2.9.9
Release: %{momorel}m
%NoSource 0 http://linux.duke.edu/projects/urlgrabber/download/%{realname}-%{version}.tar.gz %{md5sum_src0}
License: LGPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Url: http://linux.duke.edu/projects/urlgrabber/

%description
A high-level cross-protocol url-grabber for python supporting HTTP, FTP 
and file locations.  Features include keepalive, byte ranges, throttling,
authentication, proxies and more.

%prep
%setup -q -n %{realname}-%{version}

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Sun May 28 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.9.9-1m)
- update to 2.9.9

* Sat Apr 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.9.6-3m)
- add -q at setup
- use global

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.9.6-2m)
- build against python-2.4.2

* Wed Mar 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.9.6-1m)
- import from Fedora

* Tue Mar  8 2005 Jeremy Katz <katzj@redhat.com> - 2.9.6-1
- update to 2.9.6

* Mon Mar  7 2005 Jeremy Katz <katzj@redhat.com> - 2.9.5-1
- import into dist
- make the description less of a book

* Mon Mar  7 2005 Seth Vidal <skvidal@phy.duke.edu> 2.9.5-0
- 2.9.5

* Thu Feb 24 2005 Seth Vidal <skvidal@phy.duke.edu> 2.9.3-0
- first package for fc3
- named python-urlgrabber for naming guideline compliance

